<?php
require_once 'application/class/class_ManageSession.php';
require_once 'application/helpers/Factory.php';

/**
 * Affichage de la liste des secteurs d'imputation
 */

$postAll = getValueAll();

// $_SESSION['ariane']['last'] = $niveau;
// $_SESSION['ariane'][$niveau]['path']=$pathSession;
// $_SESSION['ariane'][$niveau]['niveau']=$niveau;
// $_SESSION['ariane'][$niveau]['titre']=$titre;
unset($_SESSION['ariane']);
 $_SESSION['ariane'][0]['post']=$postAll;
 $_SESSION['ariane'][0]['titre']='suivi';
 if(isset($_SESSION['ariane'][0]['post']['rPageBrwListe']))
    unset($_SESSION['ariane'][0]['post']['rPageBrwListe']);

echo "jQuery('#rPageBrwListeForm').val('1');";

$flg_popup = false;
// $first = getvalue('first');
$xslt = new GenXslt();
$array = array();
$brToDo = new BR_TODO();

// Si l'utilisateur a appelé la liste des BR attendus
if (getValue('itemSelected') == 'reception_todo') {
    // On enregistre la requete de recherche des commandes à réceptionner pour un utilisateur donné et un intervalle de temps donné
    $info['br_to_do']['login'] = getValue('login');
    $info['br_to_do']['filtre'] = getValue('filtre');
    $info['br_to_do']['societe'] = getValue('societe');
    
    // Spec 3943
    $ImputationSuiviTemplate = FactorySection::load('suivi', 'HelperTemplateFormImputationSuivi', 'helpers/template/form/imputation');
    $ImputationSuiviTemplate->getAllPost($info['br_to_do']);
    
    $info['br_to_do']['COD_FOURN'] = trim(getValue('COD_FOURN'));
    // Spec 3507
    $info['br_to_do']['type_date'] = getValue('type_date');
    $info['br_to_do']['depuisDate'] = getValue('depuisDate');
    $info['br_to_do']['debutDate'] = getValue('debutDate');
    $info['br_to_do']['finDate'] = getValue('finDate');
    $info['br_to_do']['CTR_LIV'] = getValue('CTR_LIV');
    
    if ($_SESSION['DA_ToutCentreEmet'])
        $info['br_to_do']['CTR_EMET'] = getValue('CTR_EMET');
    else if ($result = utilisateur::getAllValueInitSessionByUserAndSociete($_SESSION['Session_Login'], getValue('societe')))
        $info['br_to_do']['CTR_EMET'] = $result['CTR_EMET'];
    else
        $info['br_to_do']['CTR_EMET'] = $_SESSION['Session_CodeCtrEmetteur'];
    
    $info['br_to_do']['DESIGN'] = getValue('DESIGN');
    
    //29095
    $info['br_to_do']['CTR_LIV'] 	=  getValue('CTR_LIV');
    
    // if ($first != 'true')
    $info['br_to_do']['sql'] = SqlBr::rqGetListeforBRtoDo($info);
    $_SESSION['br_to_do'] = serializeSecure($info);
}

if (! isset($_POST['rPageBrwListe']))
    $page = 1;
else
    $page = getValue('rPageBrwListe');

$fichier_xsl = 'application/xsl/BR_browse_ToDo.xsl';
$info = unserializeSecure($_SESSION['br_to_do']);
$sql = $info['br_to_do']['sql'];
$brwListe = new NewBrowse('BrwListe', 'NO_CDE');
$brwListe->ElementUnique[0] = 'NO_CDE';
$brwListe->EntColonne(Trad('Commande'));

$brwListe->appel_prg(NomFile(__FILE__));
$brwListe->flg_titre = false;
$brwListe->flg_rech = false;
$brwListe->flg_nbr = false;
$brwListe->AffEntete = true;
$brwListe->NbLig = $_SESSION['Session_NbLignePagination'];
$brwListe->onClick = false;
$brwListe->form = 'frm_recherche';
// Initialisation du tableau avec les données à afficher
// if ($first != 'true')
$array['reception'] = & $brToDo->buildXmlBrToDo($page, $_SESSION['Session_NbLignePagination'], unserializeSecure($_SESSION['br_to_do']));

if ($isHttp) {
    $obj_xml = new GenXslt();
    switch (GetValue('MODE')) {
        // Mode appserveur
        case 'httpreq': // mode reponse sur les updates
            $object = GetValue('OBJECT');
            $form_parent = GetValue('form_parent');
            $champ = GetValue('champ');
            $prg_appel = GetValue('prg_appel');
            $brwListe->AffBrowse('', $sql, DB_OXASQLDB);
            
            $array['browse'][$brwListe->NomBrowse()] = & $brwListe->xml_gen;
            
            echo 'getObj("core").innerHTML = "', HttpReplacePointeur($xslt->XslHtml($fichier_xsl, $array)), '";';
            echo 'openTooltipRoue();boutonOpenCS();';
            break;
        
        case 'brw_' . $brwListe->NomBrowse():
            $brwListe->AffBrowse('', $sql, DB_OXASQLDB);
            
            $array['browse'][$brwListe->NomBrowse()] = & $brwListe->xml_gen;
            $obj_xml->XslHtml($fichier_xsl, $array);
            $obj_xml->echoHtml('brw_' . $brwListe->NomBrowse());
            echo 'openTooltipRoue();boutonOpenCS();';
            break;
    }
    exit();
} else {
    $obj_xml = new GenXslt(true);
    if ($_SERVER['REQUEST_METHOD'] == 'GET') {
        $brwListe->AffBrowse('', $sql, DB_OXASQLDB);
        $array['browse'][$brwListe->NomBrowse()] = & $brwListe->xml_gen;
    }
    
    $array['fenetre'] = array(
        '!form' => 'frm_popup',
        '!form_parent' => getValue('form_parent'),
        '!prg_appel' => getValue('prg_appel'),
        '!champ' => getValue('champ'),
        '!titre' => '',
        '!num_lig' => getValue('num_lig'),
        '!onclick' => "Traite('" . NomFile(__FILE__) . "',document.frm_recherche.cod_rech);"
    );
    
    echo $obj_xml->XslHtml($fichier_xsl, $array);
    echo 'openTooltipRoue();boutonOpenCS();';
}